import 'dart:io';
import 'dart:async';
import 'package:colorize/colorize.dart';
import 'log.dart';

Future<void> formatError(String info, 
	{
		String error='',
		String filePath,
		bool clear=false
	}) async {

	Colorize errorInfo = Colorize('$info: $error');
	errorInfo.red();
	// errorInfo.bgWhite();
	// errorInfo.blink();
	// errorInfo.apply();

	print(errorInfo);
	await log('$info:$error', logFile: filePath, clear: clear);
}

Future<void> pretifyOutput(String info,
	{
		String color='', 
		String path,
		bool clear=false,
		String endLine,
	}) async {

	Colorize toPretify = Colorize(info);

	switch(color){

		case 'white': {
			toPretify.white();
		}
		break;

		case 'red': {
			toPretify.red();
		}
		break;

		case 'yellow': {
			toPretify.yellow();
		}
		break;

		case 'magenta': {
			toPretify.magenta();
		}
		break;

		case 'cyan': {
			toPretify.cyan();
		}
		break;

		case 'blue': {
			toPretify.blue();
		}
		break;

		default: {
			toPretify.green();
		}
		break;
	}

	// print(toPretify);
	var end = endLine ?? '\n';
	stdout.write('$toPretify$end');

	if(path != null){
		await log(info, logFile: path, clear: clear);
	}
}